Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.miscellaneous
Class PatternKeywordMarkerFilter

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.TokenFilter
                  org.apache.lucene.analysis.miscellaneous.KeywordMarkerFilter
                      org.apache.lucene.analysis.miscellaneous.PatternKeywordMarkerFilter

All Implemented Interfaces:
  Closeable

    public final class PatternKeywordMarkerFilter

extends KeywordMarkerFilter

Marks terms as keywords via the `KeywordAttribute`. Each token that matches the provided pattern is marked as a keyword by setting `KeywordAttribute.setKeyword(boolean)` to `true`.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`AttributeSource.AttributeFactory, AttributeSource.State`

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`PatternKeywordMarkerFilter(TokenStream in, Pattern pattern)` Create a new `PatternKeywordMarkerFilter`, that marks the current token as a keyword if the tokens term buffer matches the provided `Pattern` via the `KeywordAttribute`.

Method Summary
`protected boolean` | `isKeyword()`

Methods inherited from class org.apache.lucene.analysis.miscellaneous.KeywordMarkerFilter
`incrementToken`

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, end, reset`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PatternKeywordMarkerFilter

    public PatternKeywordMarkerFilter(TokenStream in,
                                      Pattern pattern)

  Create a new `PatternKeywordMarkerFilter`, that marks the current token as a keyword if the tokens term buffer matches the provided `Pattern` via the `KeywordAttribute`.

  Parameters:
    `in` - TokenStream to filter
    `pattern` - the pattern to apply to the incoming term buffer

Method Detail

### isKeyword

    protected boolean isKeyword()

  Specified by:
    `isKeyword` in class `KeywordMarkerFilter`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.